# 繼續對話

`POST` `/v1/ai/agents/{agent_id}/conversations/{chat_uid}/messages/{message_id}/continue`

當 [發起對話](/zh-HK/docs/ai/chat/conversation) 返回 `status = interrupted` 時，Agent 正等待你補充信息。通過本接口回傳答案，暫停的運行會從中斷處繼續執行，直到成功、再次中斷或失敗。

同一輪對話可能發生多次中斷：若繼續後再次返回 `interrupted`，按新的 `interrupt` 重複調用本接口即可。

與發起對話一致，通過請求頭 `Accept` 選擇阻塞式 / SSE 流式響應。

## Parameters

### Path Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `agent_id` | string | Yes | Agent UID. |
| `chat_uid` | string | Yes | 被中斷會話的 UID。 |
| `message_id` | string | Yes | 要繼續的被中斷消息 ID。 |

### Request Body

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `answers_by_tool_call` | object | Yes | 按工具調用 ID 組織的回答，提供 Agent 所需信息以恢復被中斷的運行。 |

## Request Example

```bash
curl --request POST \
  --url 'https://openapi.longbridge.com/v1/ai/agents/<agent_id>/conversations/<chat_uid>/messages/<message_id>/continue' \
  --header 'Authorization: Bearer <access_token>' \
  --header 'Content-Type: application/json' \
  --data '{"answers_by_tool_call":{}}'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `chat_uid` | string | Yes | 會話 UID。 |
| `message_id` | string | Yes | 消息 ID。 |
| `status` | string | Yes | 運行狀態，如 `succeeded`、`interrupted`。 |
| `answer` | string | No | Agent 的回答文本。 |
| `references` | array | No | 回答引用的參考來源。 |
| `elapsed_time` | number | No | 運行耗時（秒）。 |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "chat_uid": "ct_9f2c1a5b",
    "message_id": "43",
    "status": "succeeded",
    "answer": "Over the past month, Tesla (TSLA.US)...",
    "references": [],
    "elapsed_time": 2.74
  }
}
```
